type_alias:
  promo_type:
    type: map
    map_schema:
      image_url:
        required: yes
      link_url:
      button_image_url:
      button_image_caption:
      region:
      country:
      start_date:
      end_date:
      display_properties:
      bubble_id:
      bubble_caption:
      audience:
      string_id:
      id:

  promo_list_type:
    type: list
    list_type: promo_type

  root_type:
    type: map
    map_schema:
      login_page:
        type: promo_list_type
      home_page:
        type: promo_list_type
      featured_tab:
        type: promo_list_type
      browser_allowed_domains:
        type: list
  localization_type:
    type: map
schema:
  type: map
  map_schema:
    version:
    root:
      type: root_type
      required: yes
     # Localizations are optional and can be skipped
    localizations:
      type: map
      required: no
      map_type: localization_type
